#include "rectanglewindow.h"

void RectangleWindow::quit(){

    // Allows not to add again an iconPicture if the user has already made the annotation
    if(rectangle->getItem()!=NULL){

    }
    else{
       icon=new AddIconPicture(this->scene,rectangle);
    }

    this->close();
}

void RectangleWindow::textChangedSlot(){

    QString annotation=textEdit->toPlainText();
    rectangle->setAnnotation(annotation);

}

void RectangleWindow::wordChangedSlot(QString word){

    rectangle->setWordNumber(word);
}

void RectangleWindow::lineChangedSlot(QString line){
    rectangle->setLineNumber(line);
}
